@use "@/styles" as *;

.lelaIcon {
  position: relative;
  width: 76.92px;
  height: 40px;
  overflow: hidden;
  flex-shrink: 0;
}
.lelaWrapper {
  width: 79px;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
}
.iconLeft2 {
  position: relative;
  width: 18px;
  height: 18px;
  overflow: hidden;
  flex-shrink: 0;
}
.inputWrapper {
  // flex: 1;
  // position: relative;
  // letter-spacing: 0.05em;
  // line-height: 150%;

  flex: 1;
  width: 100%;
  font-size: 14px;
  letter-spacing: 0.05em;
  line-height: 150%;
  color: #929292;
}
.type {
  align-self: stretch;
  border-radius: 4px;
  background-color: #ebebeb;
  overflow: hidden;
  display: flex;
  flex-direction: row;
  padding: 10px 8px 10px 16px;
  align-items: center;
  justify-content: flex-start;
  gap: 8px;
}
.inputsTextInputs {
  flex: 1;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
}
.iconLeft4 {
  align-self: stretch;
  flex: 1;
  position: relative;
  border-radius: 12px;
  max-width: 100%;
  overflow: hidden;
  max-height: 100%;
}
.iconLeft3 {
  border-radius: 24px;
  background-color: #143080;
  width: 16px;
  height: 16px;
  display: flex;
  flex-direction: row;
  padding: 2px;
  box-sizing: border-box;
  align-items: flex-start;
  justify-content: flex-start;
}
.button {
  position: relative;
  letter-spacing: 0.05em;
  line-height: 140%;
  font-weight: 600;
  cursor: pointer;
}
.ghost {
  border-radius: 8px;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
  gap: 6px;
  color: #1d1d1d;
}
.frameParent {
  flex: 1;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
  gap: 24px;
}
.stateDefaultChild {
  position: relative;
  background-color: #d4d4d3;
  width: 2px;
  height: 40px;
  transform: rotate(12deg);
  transform-origin: 0 0;
}
.ghost1 {
  border-radius: 8px;
  display: flex;
  flex-direction: row;
  padding: 0px 16px 0px 0px;
  align-items: center;
  justify-content: flex-start;
}
.primary {
  border-radius: 4px;
  background-color: #143080;
  display: flex;
  flex-direction: row;
  padding: 12px 24px;
  align-items: center;
  justify-content: flex-start;
  color: #fff;
}
.ghostParent {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
  gap: 16px;
  color: #1d1d1d;
}
.menu {
  display: none;
}
.stickyNavbar {
  position: relative;
  background-color: #f7f7f7;
  backdrop-filter: blur(46px);
  width: 100%;
  display: flex;
  flex-direction: row;
  padding: 16px 71px;
  box-sizing: border-box;
  align-items: center;
  justify-content: flex-start;
  gap: 16px;
  text-align: left;
  font-size: 14px;
  color: #929292;
  font-family: "Inter Tight";
  max-height: 76px;
}

@include mobile {
  .stateDefaultChild,
  .ghostParent,
  .iconLeft3,
  .button {
    display: none;
  }
  .frameParent {
    gap: 16px;
  }
  .menu {
    display: block;
  }
  .stickyNavbar {
    padding: 16px;
  }
}
